Bug 499991 - Review Request: mingw32-libxslt - MinGW Windows Library providing the Gnome XSLT engine
Review Request: mingw32-libxslt - MinGW Windows Library providing the Gnome X...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499992
  Show dependency treegraph
 
Reported: 2009-05-09 17:23 EDT by Erik van Pienbroek
Modified: 2009-05-25 17:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.24-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-05-09 17:23:00 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libxslt.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libxslt-1.1.24-5.fc11.src.rpm
Description:
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1345365

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Thomas Sailer 2009-05-22 07:05:52 EDT
Fedora review http://www.ftd4linux.nl/contrib/mingw32-libxslt-1.1.24-5.fc11.src.rpm 2009-05-22

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1370212

rpmlint output:
$ mingw32-libxslt.src: W: patch-not-applied Patch0: multilib.patch
mingw32-libxslt.noarch: W: incoherent-version-in-changelog 1.1.24-6 ['1.1.24-5.fc12', '1.1.24-5']
mingw32-libxslt.noarch: W: dangling-relative-symlink /usr/share/doc/mingw32-libxslt-1.1.24/COPYING Copyright
mingw32-libxslt.src: W: patch-not-applied Patch0: multilib.patch
mingw32-libxslt.spec: W: patch-not-applied Patch0: multilib.patch
mingw32-libxslt-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libxslt.a
mingw32-libxslt-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libexslt.a
mingw32-libxslt-static.noarch: W: no-documentation
4 packages and 1 specfiles checked; 2 errors, 6 warnings.

As per Packaging/MinGW, arch-independent-package-contains-binary-or-object and no-documentation errors can be ignored. Please fix the rest.

+ OK
! needs attention


! rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
  version seems to be slightly ahead of native (1.1 vs. 1.0) please try to
  stick to the native version
+ License meets guidelines and is acceptable to Fedora
  LGPLv2
+ License matches the actual package license
  MIT
  It is also the same as in the corresponding Fedora libxslt package
! The package contains the license file (COPYING)
  Dangling symlink
+ Spec file is written in American English
+ Spec file is legible
! Please remove the unapplied patch0, and the changelog version issue
+ Upstream sources match sources in the srpm
e83ec5d27fc4c10c6f612879bea9a153  libxslt-1.1.24.tar.gz
e83ec5d27fc4c10c6f612879bea9a153  x/libxslt-1.1.24.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
! use %global instead of %define
Comment 2 Erik van Pienbroek 2009-05-22 09:35:24 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libxslt.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libxslt-1.1.24-7.fc11.src.rpm

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.24-7
- Use %%global instead of %%define
- Dropped the reference to the multilib patch as it isn't used for MinGW
- Fixed dangling-relative-symlink rpmlint warning
Comment 3 Thomas Sailer 2009-05-22 10:49:48 EDT
APPROVED by sailer.
Comment 4 Erik van Pienbroek 2009-05-22 11:14:59 EDT
Thomas, thanks for all the reviews!!

New Package CVS Request
=======================
Package Name: mingw32-libxslt
Short Description: MinGW Windows Library providing the Gnome XSLT engine
Owners: epienbro rjones
Branches: F-10 F-11
InitialCC: baz
Comment 5 Kevin Fenzi 2009-05-23 01:41:37 EDT
cvs done, except I can't find a user 'baz' in fas... please check and reset the flag.
Comment 6 Erik van Pienbroek 2009-05-23 05:31:29 EDT
(In reply to comment #5)
> cvs done, except I can't find a user 'baz' in fas... please check and reset the
> flag.  

Oops, that was a silly copy/paste error from me. The initialCC should be empty, so it's okay now
Comment 7 Fedora Update System 2009-05-24 08:57:25 EDT
mingw32-libxslt-1.1.24-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libxslt-1.1.24-7.fc11
Comment 8 Fedora Update System 2009-05-24 09:08:54 EDT
mingw32-libxslt-1.1.24-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libxslt-1.1.24-7.fc10
Comment 9 Fedora Update System 2009-05-25 17:16:51 EDT
mingw32-libxslt-1.1.24-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-25 17:24:13 EDT
mingw32-libxslt-1.1.24-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.